Skip to main content
POST
/
api
/
v1
/
comment
/
import
/
comments
/
{commentId}
/
action
Run an action on a fetched comment
curl --request POST \
  --url https://api.bundle.social/api/v1/comment/import/comments/{commentId}/action \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "teamId": "<string>",
  "reason": "<string>",
  "banAuthor": true
}
'
{
  "success": true,
  "item": {
    "id": "<string>",
    "teamId": "<string>",
    "postId": "<string>",
    "socialAccountId": "<string>",
    "importId": "<string>",
    "externalId": "<string>",
    "likesCount": 123,
    "repliesCount": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "organizationId": "<string>",
    "externalParentId": "<string>",
    "externalPostId": "<string>",
    "authorName": "<string>",
    "authorExternalId": "<string>",
    "authorProfileUrl": "<string>",
    "authorAvatarUrl": "<string>",
    "text": "<string>",
    "platformData": {},
    "publishedAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://info.bundle.social/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

commentId
string
required

Body

application/json

Body

teamId
string
required
action
enum<string>
required
Available options:
DELETE,
HIDE,
UNHIDE,
LIKE,
UNLIKE,
APPROVE,
REJECT
reason
string
Maximum string length: 500
banAuthor
boolean

Response

200

success
boolean
required
item
object
required